org.omg.PortableServer.POAPackage

## Class InvalidPolicy

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.PortableServer.POAPackage.InvalidPolicy

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class InvalidPolicy
    extends UserException

org/omg/PortableServer/POAPackage/InvalidPolicy.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-FtOhKS/openjdk-8-8u452-ga~us1/src/corba/src/share/classes/org/omg/PortableServer/poa.idl Monday, April 21, 2025 6:17:32 AM UTC

### Field Summary

Fields
`short` `index`

### Constructor Summary

Constructors
Constructor and Description
`InvalidPolicy()`
`InvalidPolicy(short _index)`
`InvalidPolicy(String $reason, short _index)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### index

    public short index

### Constructor Detail

#### InvalidPolicy

    public InvalidPolicy()

#### InvalidPolicy

    public InvalidPolicy(short _index)

#### InvalidPolicy

    public InvalidPolicy(String $reason,
                         short _index)